### org.jfree.layouting.layouter.style.functions

# Class FunctionUtilities

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.functions.FunctionUtilities`

`public class FunctionUtilities`
`extends java.lang.Object`

Creation-Date: 04.07.2006, 14:30:10

Author:
  Thomas Morgner

  ## Method Summary

  `static ResourceKey`

  `createURI(String uri, LayoutProcess layoutProcess)`

  `static CSSNumericType`

  `getUnitType(String typeText)`

  `static CSSResourceValue`

  `loadResource(LayoutProcess process, Object value)`

  `static CSSResourceValue`

  `loadResource(LayoutProcess process, Object value, Class[] type)`

  `static CSSNumericValue`

  `parseNumberValue(String text)`

  `static CSSNumericValue`

  `parseNumberValue(String text, String type)`

  `static CSSValue`

  `parseValue(LayoutProcess process, String text)`

  `static CSSValue`

  `resolveParameter(LayoutProcess layoutProcess, LayoutElement layoutElement, CSSValue value)`

  `static String`

  `resolveString(LayoutProcess layoutProcess, LayoutElement layoutElement, CSSValue value)`

## Method Details

### createURI

    public static ResourceKey createURI(String uri,
                                        LayoutProcess layoutProcess)

### getUnitType

    public static CSSNumericType getUnitType(String typeText)

### loadResource

    public static CSSResourceValue loadResource(LayoutProcess process,
                                                Object value)
                throws FunctionEvaluationException

### loadResource

    public static CSSResourceValue loadResource(LayoutProcess process,
                                                Object value,
                                                Class[] type)
                throws FunctionEvaluationException

### parseNumberValue

    public static CSSNumericValue parseNumberValue(String text)
                throws FunctionEvaluationException

### parseNumberValue

    public static CSSNumericValue parseNumberValue(String text,
                                                   String type)
                throws FunctionEvaluationException

### parseValue

    public static CSSValue parseValue(LayoutProcess process,
                                      String text)

### resolveParameter

    public static CSSValue resolveParameter(LayoutProcess layoutProcess,
                                            LayoutElement layoutElement,
                                            CSSValue value)
                throws FunctionEvaluationException

### resolveString

    public static String resolveString(LayoutProcess layoutProcess,
                                       LayoutElement layoutElement,
                                       CSSValue value)
                throws FunctionEvaluationException